{% extends 'dashboard/base.html' %}

{% block scripts %}
  {{super()}}
  <script src="{{ url_for('static', filename='js/jquery.dataTables.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/dataTables.bootstrap4.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/datatables.js') }}"></script>
  <script>
    var trainee = undefined
    $(document).ready(function () {
      $(".open-deleteTrainieModal").click(function () {
        trainee = JSON.parse($(this).data('trainee').replace(/'/g, '"'));
        document.getElementById("deleteTrainieModalLabel").innerHTML = 'Do you want delete ' + trainee.name + ' from trainees?';
      });
    });

    $('#deleteForm').submit(function(eventObj) {
      $(this).append('<input type="hidden" name="trainieid" value="'+trainee.cid+'">')
    })

  </script>
{% endblock %}

{% block page_content %}
<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">{{mentor.name}} Trainees</h1>
</div>
<div class="row">
  <!-- Area Chart -->
  <div class="col-xl-12 col-lg-12">
      <div class="card shadow mb-11">
        <!-- Card Header - Dropdown -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Trainees List</h6>
            {% if current_user | belongs_to_group('admin', 'training_director', 'atcmentor_editor') %}
            <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Actions</div>
                <a class="dropdown-item" href="{{ url_for('atcmentoring.newtrainee', mentorid=mentor.cid) }}">Add</a>
            </div>
            </div>
            {% endif %}
        </div>
        <div class="card-body">
            <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                <tr>
                    <th>CID</th>
                    <th>Name</th>
                    <th>Training To Rating</th>
                    <th>ATSimTest Status</th>
                    <th>ATSimTest Validity</th>
                    {% if current_user | belongs_to_group('admin', 'training_director', 'atcmentor_editor') %}
                    <th></th>
                    {% endif %}
                </tr>
                </thead>
                <tfoot>
                <tr>
                  <th>CID</th>
                  <th>Name</th>
                  <th>Training To Rating</th>
                  <th>ATSimTest Status</th>
                  <th>ATSimTest Validity</th>
                  {% if current_user | belongs_to_group('admin', 'training_director', 'atcmentor_editor') %}
                  <th></th>
                  {% endif %}
                </tr>
                </tfoot>
                <tbody>
                  {% for trainee in mentor.trainees %}
                    <tr>
                      <td>{{ trainee.cid }}</td>
                      <td>{{ trainee.name }}</td>
                      <td>{{ get_facility(trainee.facility) }}</td>
                      {% if trainee.atsimtest_status == 'not-assigned' %}
                        <td><span style="color: red;">Not Assigned</span></td>
                      {% elif trainee.atsimtest_status == 'assigned' %}
                        <td><span style="color: orange;">Assigned</span></td>
                      {% elif trainee.atsimtest_status == 'complete' %}
                        <td><span style="color: green;">Passed</span></td>
                      {% else %}
                        <td></td>
                      {% endif %}
                      {% if trainee.atsimtest_status == 'complete' %}
                        <td>{{ trainee.atsimtest_validity }}</td>
                      {% else %}
                        <td></td>
                      {% endif %}
                      {% if current_user | belongs_to_group('admin', 'training_director', 'atcmentor_editor') %}
                      <td>
                        <button
                          title="Edit Trainee"
                          style="background-color: transparent; border: none;"
                          onclick="window.location.href='trainees/{{trainee.cid}}/edit'">
                          <img width="24px" src="{{ url_for('static', filename='img/edit.png') }}">
                        </button>
                        <button
                          title="Delete Trainee"
                          class="open-deleteTrainieModal"
                          style="background-color: transparent; border: none;"
                          data-toggle="modal"
                          data-target="#deleteTrainieModal"
                          data-trainee="{{trainee}}">
                          <img width="24px" src="{{ url_for('static', filename='img/delete.png') }}">
                        </button>
                      </td>
                      {% endif %}
                    </tr>
                  {% endfor %}
                </tbody>
              </table>
            </div>
        </div>
      </div>
  </div>
</div>
<form id="deleteForm" action="{{url_for('atcmentoring.delete_trainee', mentorid=mentor.cid)}}" method="POST">
  <div class="modal fade" id="deleteTrainieModal" tabindex="-1" role="dialog" aria-labelledby="deleteTrainieModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="deleteTrainieModalLabel">Do you want delete this trainee?</h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <input  class="btn btn-primary" style="color: #f8f9fc;" type="submit" value="Delete"></input>
        </div>
      </div>
    </div>
  </div>
</form>
{% endblock %}
